Bug 1655627 - Updating to cloud-init to 18.2-1.el7_6.1.x86_64 causes the set_hostname routine to trigger.
Summary: Updating to cloud-init to 18.2-1.el7_6.1.x86_64 causes the set_hostname routi...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cloud-init
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Eduardo Otubo
QA Contact: Vratislav Hutsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 15:26 UTC by Siggy Sigwald
Modified: 2019-12-26 08:55 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 22:49:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4252891 0 None None Updating cloud-init causes the set_hostname routine to change the hostname. 2019-07-01 14:58:42 UTC

Description Siggy Sigwald 2018-12-03 15:26:55 UTC
Description of problem:
Customer had a system with RHEL 7.4.  upgraded to 7.6 and rebooted.  Customer received the unexpected hostname change at that time. Customer downgraded the cloud-init package to 0.7.9 and rebooted.  Customer try to re-upgrade to 18.2 to reproduce the issue.  After updating cloud-init for the second time the the issue is not observed. Behavior only occurs after rebooting system as part of RHEL 7.4 to 7.7 upgrade.

How reproducible:
Every time

Steps to Reproduce:
1. Upgrade OS from RHEL 7.4 to RHEL 7.6 on RHOSP10
2. Reboot the node.

Actual results:
Hostname changes.

Expected results:
hostname does not change.

Comment 2 William Temple 2019-01-07 14:34:22 UTC
Hi, 

   Just checking if there is an update which addresses this issue.  We patch thousands of systems routinely, so extra cautions need to be taken to avoid the problem.

Thanks,
Bill


Note You need to log in before you can comment on or make changes to this bug.